Subject: Redraft of Pompano Beach Memorandum of Agreement
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 16 Apr 2001 10:48:00 -0700 (PDT)

Per my meeting with Rose, Lisa, Herman and Billy this afternoon, here is 
another draft for review and approval by finance and accounting.  I'm 
attaching a redline (from the outside counsel's last draft) and a clean copy.